import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Super clase de los enemigos en la cual se colocan las variables para que sus sub - clases las hereden.
 * 
 * @author Ulises Yamil Castorena Caldera 
 * @version 1.0
 */
public class Enemigo extends Actor
{
    protected boolean ubic;//Variable que indica la ubicación del enemigo.
    protected GreenfootImage img;//Variable que se va a utilizar para crear un objeto imagen.
    protected boolean band;//Variable que se utiliza para borrar el objeto.
    
    /**
     * Constructor de la clase Enemigo, uniccamente se iguala band a cero.
     */
    public void Enemigo()
    {
        band = false;
    }   
    
    /**
     * Método que mueve la imagen cuatro espacios hacia la izquierda.
     */
    public void mueve()
    {
        move(-4);
    }
}
