import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.*;

/**
 * Clase donde se crea la distancia que tendra que recorrer el usuario.
 * 
 * @author Ulises Yamil Castorena Caldera
 * @version 1.0
 */
public class Numero extends Actor
{
    private int num;//Variable que indica los metros que debera recorrer el usuario.
    private GreenfootImage img;//Variable que se va a utilizar para crear un objeto imagen.
    
    /**
     * Constructor para la clase numero, iguala la cantidad de metros totales que debera recorrer el usuario, asi como un objeto que lo muestre.
     */
    public Numero()
    {
        num = 5000;
        img = new GreenfootImage(Integer.toString(num),20,Color.BLACK,Color.WHITE);
        setImage(img);
    }
    
    /**
     * Método Act el cual coloca la imagen y decrementa las distancia.
     */
    public void act() 
    {
        setImage(new GreenfootImage(Integer.toString(num),20,Color.BLACK,Color.WHITE));
        decrementaDist();
        limite();
    }
    
    /**
     * Método que va decrementando la distancia total.
     */
    public void decrementaDist()
    {
        num --;
    }   
    
    /**
     * Si la variable num llega a cero manda un mesnaje al mundo indicando que aumente el nivel.
     */
    public void limite()
    {
        if(num == 0)        
            ((Mundo)getWorld()).incrementaNivel();        
    }    
}
