import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Clase en la cual se crea la portada y se muestra.
 * 
 * @author Ulises Yamil Castorena Caldera 
 * @version 1.0
 */
public class Portada extends Actor
{
    protected GreenfootImage img;//Variable que se va a utilizar para crear un objeto imagen.     
    
    /**
     * Constructor para la clase portada, unicamnete se crea el objeto y se dibuja la imagen.
     */
    public Portada()
    {     
        img = new GreenfootImage("Portada.png");                   
        setImage(img);        
    }
    
    /**
     * Método Act de la clase que muestra la imagen.
     */
    public void act() 
    {       
        setImage(img);             
    }    
}
