import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/** 
 * En esta clase se crean los objetos Barra que son los limitantes del vehiculo del personaje.
 * 
 * @author Ulises Yamil Castorena Caldera
 * @version 1.0
 */
public class Barra extends Actor
{    
    private GreenfootImage img;//Variable que se va a utilizar para crear un objeto imagen.
    
    /**
     * Constructor de la clase Barra, se crea el objeto para despues mostrar la imagen.
     */
    public Barra()
    {
        img = new GreenfootImage("Wall.jpg");
        img.scale(800,40);
        setImage(img);
    }

    /**
     * Método act de la clase, unicamente muestra la imagen.
     */
    public void act() 
    {
        setImage(img);
    }    
}
