import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Clase que es la encargada de mostrar los textos del juego.
 * 
 * @author Ulises Yamil Castorena Caldera
 * @version 1.0
 */
public class Textos extends Actor
{
    private GreenfootImage img;//Variable que se va a utilizar para crear un objeto imagen.
    
    /**
     * Constructor para la clase Textos.
     * @param valor Es un indicador para saber que clase de texto debe mostrar.
     */
    public Textos(int valor)
    {
        if(valor == 0)        
           img = new GreenfootImage("pv1.png");
        else if(valor == 1)
           img = new GreenfootImage("sdn.png");
        else if(valor == 2)
           img = new GreenfootImage("ganaste.png");
        else if(valor == 3)
           img = new GreenfootImage("go.png");
        setImage(img);
    }
    
    /**
     * Método act de la clase, unicamente muestra la imagen.
     */
    public void act() 
    {
        setImage(img);
    }    
}
